FS_SETCACHESIZE(1)

NAME
fs setcachesize - Sets the size of the disk cache

SYNOPSIS
fs setcachesize [-blocks <size in 1K byte blocks (0 = reset)>>]
    [-reset] [-help]

fs setca [-b <size in 1K byte blocks (0 = reset)>>]
    [-r] [-h]

fs cachesize [-b <size in 1K byte blocks (0 = reset)>>]
    [-r] [-h]

fs ca [-b <size in 1K byte blocks (0 = reset)>>]
    [-r] [-h]

DESCRIPTION
The fs setcachesize command changes the number of kilobyte blocks of local disk space available to the Cache Manager for its data cache, on machines that use a disk cache. The command is not operative on machines that use a memory cache.

To return the cache size to the default value specified in the third field of the local /usr/vice/etc/cacheinfo file, provide a value of 0 to the -blocks argument.

To return the cache size to the value set when the machine was last rebooted, use the -reset flag instead of the -blocks argument. This is normally the amount specified in the cacheinfo file, unless the -blocks argument was included on the afsd command to override the cacheinfo value.

To display the current cache size and amount of cache in use, for both disk and memory caches, use the fs getcacheparms command.

CAUTIONS
This command is not operative on machines using a memory cache, and results in an error message. To change memory cache size, edit the cacheinfo file and reboot, or reboot and provide the -blocks argument to the afsd command.

On machines using a disk cache, do not set the cache size to exceed 85% to 90% of the actual disk space available for the cache directory. The cache implementation itself requires a small amount of space on the partition.

OPTIONS

-blocks <size in 1K byte blocks>
    Specifies the number of one-kilobyte blocks of disk space available for the Cache Manager to devote to the cache. Provide a value of 0 to set cache size to the default specified in the cacheinfo file.

-reset
    Returns the cache size to the value set when the machine was last booted. This agrees with the value in the cacheinfo file unless the -blocks argument was used on the afsd command.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command sets the disk cache size to 25000 kilobyte blocks.

   % fs setcachesize -blocks 25000
Both of the following commands reset the disk cache size to the value in the cacheinfo file, assuming that the -blocks argument to the afsd command was not used.

   % fs setcachesize -blocks 0
   % fs setcachesize -reset

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
the cacheinfo(5) manpage, the afsd(8) manpage, the fs_getcacheparms(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.